    body {
  background: rgb(204,204,204); 
}
page {
  background: white;
  display: block;
  margin: 0 auto;
  margin-bottom: 0.5cm;
  box-shadow: 0 0 0.5cm rgba(0,0,0,0.5);
}
page[size="A0"] {
  width: 84.1cm;
  height: 118.9cm;
}
page[size="A0"][layout="landscape"] {
  width: 118.9cm;
  height: 84.1cm;  
}

page[size="A1"] {
  width: 59.4cm;
  height: 84.1cm;
}
page[size="A1"][layout="landscape"] {
  width: 84.1cm;
  height: 59.4cm;  
}

page[size="A2"] {
  width: 42cm;
  height: 59.4cm;
}
page[size="A2"][layout="landscape"] {
  width: 59.4cm;
  height: 42cm;  
}

page[size="A3"] {
  width: 29.7cm;
  height: 42cm;
}
page[size="A3"][layout="landscape"] {
  width: 42cm;
  height: 29.7cm;  
}

page[size="A4"] {  
  width: 21cm;
/*  height: 29.7cm;*/
  height: 30.2cm;  
}
page[size="A4"][layout="landscape"] {
  width: 29.7cm;
  height: 21cm;  
}

page[size="A5"] {
  width: 14.85cm;
  height: 21cm;
}
page[size="A5"][layout="landscape"] {
  width: 21cm;
  height: 14.85cm;  
}

page[size="A6"] {
  width: 10.5cm;
  height: 14.85cm;
}
page[size="A6"][layout="landscape"] {
  width: 14.85cm;
  height: 10.5cm;  
}

page[size="A7"] {
  width: 7.4cm;
  height: 10.5cm;
}
page[size="A7"][layout="landscape"] {
  width: 10.5cm;
  height: 7.4cm;  
}

page[size="A8"] {
  width: 5.2cm;
  height: 7.4cm;
}
page[size="A8"][layout="landscape"] {
  width: 7.4cm;
  height: 5.2cm;  
}

page[size="A9"] {
  width: 3.5cm;
  height: 5.2cm;
}
page[size="A9"][layout="landscape"] {
  width: 5.2cm;
  height: 3.7cm;  
}

page[size="A10"] {
  width: 2.6cm;
  height: 3.7cm;
}
page[size="A10"][layout="landscape"] {
  width: 3.7cm;
  height: 2.6cm;  
}

@media print {
  body, page {
    margin: 0;
    box-shadow: 0;
  }
}